Bug 509235 - genisoimage error trying to burn data dvd
genisoimage error trying to burn data dvd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 16:37 EDT by Jerry Amundson
Modified: 2014-01-12 19:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-02 15:17:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2009-07-01 16:37:31 EDT
Description of problem:


Version-Release number of selected component (if applicable):
k3b-1.66.0-3.fc12.x86_64

How reproducible:
several times

Steps to Reproduce:
1.new data project (mine happens to be around 2.5 GB)
2.add files
3.burn
  
Actual results:
no media burned

Expected results:
valid media

Additional info:
trying the command in debug output:
/usr/bin/mkisofs -gui -graft-points -print-size -quiet -volid W-T-D -volset  -appid K3B -publisher  -preparer  -sysid LINUX -volset-size 1 -volset-seqno 1 -sort /tmp/kde-jerrya/k3bKa4398.tmp -rational-rock -hide-list /tmp/kde-jerrya/k3btV4398.tmp -joliet -joliet-long -hide-joliet-list /tmp/kde-jerrya/k3brL4398.tmp -no-cache-inodes -full-iso9660-filenames -disable-deep-relocation -iso-level 3 -path-list /tmp/kde-jerrya/k3bqr4398.tmp
genisoimage: No such file or directory. Invalid node - 'K3B'.

I've tried several variations of the mkisofs, and all fail...
Comment 1 Jörg Schilling 2009-07-03 15:01:16 EDT
THe relevent information that could help to find the
reason for you problem is missing but if you use
genisoimage instead of the original software you need
to know that you are using software that is full of bugs.

I recommend you to use recent original software instead of
the broken fork

http://cdrecord.berlios.de
http://cdrecord.berlios.de/private/linux-dist.html 
ftp://ftp.berlios.de/pub/cdrecord/alpha/cdrtools-beta.tar.gz
Comment 2 Jerry Amundson 2009-07-03 15:19:00 EDT
(In reply to comment #1)
> THe relevent information that could help to find the
> reason for you problem is missing 

For the purpose of this bug anyway, what information can I provide that will help?
Comment 3 Jörg Schilling 2009-07-06 09:41:19 EDT
In order to understand the problem, you would need to provide the files that
contain file lists. I see four of these list files.

Then the file lists would need to be checked against the local files.....

BTW: checking again, I just found a bug in the command line that is related to k3b

In case that the debug output is correct, then _several_ arguments are 
missing for related options.
Comment 4 Jerry Amundson 2009-07-08 20:14:26 EDT
If there is not enough info here, let me know.
Comment 5 Jörg Schilling 2009-07-10 08:10:03 EDT
As I mentioned in my last message, this is a kb3 bug in case that
the k3b did write a correct debug output - just read my last text.....

I generelly recommend to upgrade to a recent cdrtools and mkisofs
from:

ftp://ftp.berlios.de/pub/cdrecord/alpha/ as genisoimage
is full of well known bugs.
Comment 6 Steven M. Parrish 2009-08-26 14:50:19 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Jerry Amundson 2009-08-26 17:38:19 EDT
(In reply to comment #6)
> Since there are insufficient details provided in this report for us to
> investigate the issue further, and we have not received feedback to the
> information we have requested above, we will assume the problem was not
> reproducible, or has been fixed in one of the updates we have released for the
> reporter's distribution.

Umm, what information was "requested above"? 
Quoting myself:
(In comment #2)
> For the purpose of this bug anyway, what information can I provide that will
> help?  

Other than being told by Jörg three times that Fedora is using a broken fork, I haven't been given much direction here...
Comment 8 Roman Rakus 2009-08-27 04:05:12 EDT
Do you have `K3B' file or symlink?
Comment 9 Jerry Amundson 2009-08-27 11:18:28 EDT
(In reply to comment #8)
> Do you have `K3B' file or symlink?  

According to "find", there is nothing on the system named `K3B'.
Comment 10 Steven M. Parrish 2009-08-29 15:58:09 EDT
Please see comment #5.  did you do as recommended

I generelly recommend to upgrade to a recent cdrtools and mkisofs
from:

ftp://ftp.berlios.de/pub/cdrecord/alpha/ as genisoimage
is full of well known bugs.  

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Jerry Amundson 2009-08-31 00:24:15 EDT
(In reply to comment #10)
> Please see comment #5.  did you do as recommended
> 
> I generelly recommend to upgrade to a recent cdrtools and mkisofs
> from:
> 
> ftp://ftp.berlios.de/pub/cdrecord/alpha/ as genisoimage
> is full of well known bugs.  

For what purpose would I do such a thing?
Comment 12 Roman Rakus 2009-08-31 04:15:29 EDT
You can do that, but cdrecord is not packaged in Fedora. cdrkit is.
The problem here is probably in k3b. But I'm unable to reproduce it. Can you please provide a full text from debugging output?
Comment 13 Steven M. Parrish 2009-09-26 17:51:15 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Jerry Amundson 2009-10-02 15:17:18 EDT
Rawhide has reverted to k3b-1.0.5-10.fc12.i686 so this is now moot.

Note You need to log in before you can comment on or make changes to this bug.